# finatra-gem

CLI for [Finatra](http://github.com/capotej/finatra) applications.

## Installation

    $ gem install finatra

## Usage

    $ fin help
    Tasks:
      fin compile          # Compile your app with Maven
      fin console          # Starts a scala console
      fin help [TASK]      # Describe available tasks or one specific task
      fin new <MyAppName>  # Create a new Finatra app
      fin package          # Package a jar for your app
      fin start            # Run your app on port 7070

## Contributing to finatra-gem

* Check out the latest master to make sure the feature hasn't been implemented or the bug hasn't been fixed yet.
* Check out the issue tracker to make sure someone already hasn't requested it and/or contributed it.
* Fork the project.
* Start a feature/bugfix branch.
* Commit and push until you are happy with your contribution.
* Make sure to add tests for it. This is important so I don't break it in a future version unintentionally.
* Please try not to mess with the Rakefile, version, or history. If you want to have your own version, or is otherwise necessary, that is fine, but please isolate to its own commit so I can cherry-pick around it.

## Copyright

Copyright (c) 2012 twoism. See LICENSE.txt for
further details.

